#!/bin/bash

OPTIONS=`xrandr --verbose -q`
MODE=`echo "${OPTIONS}" | grep -c default`
if [ "${MODE}" -eq "1" ]; then
	SCREEN="default"
else
	SCREEN="LVDS"
fi
ROTTEXT=`echo "${OPTIONS}" | awk "/${SCREEN}/ { print \\\$5 }"`

NEWROT=-1

if [ "${ROTTEXT}" == "normal" ]; then
  NEWROT=3
  NEWPEN="CW"
elif [ "${ROTTEXT}" == "right" ]; then
  NEWROT=1
  NEWPEN="CCW"
elif [ "${ROTTEXT}" == "inverted" ]; then
  NEWROT=0
  NEWPEN="NONE"
elif [ "${ROTTEXT}" == "left" ]; then
  NEWROT=2
  NEWPEN="HALF"
else
  xmessage "unhandled rotation: '${ROTTEXT}'"
  exit
fi

xrandr -o ${NEWROT}
RET=$?
if [ $RET == "1" ]; then
  xmessage -center "Sorry, your video driver does not support rotation!"
else
  xsetwacom set "stylus" Rotate ${NEWPEN}
fi

