#!/bin/bash

LN="ln -nsf"

. /scripts/model.sh

if [ "${TABLET}" == "ERROR" ]; then
	echo "Tablet model not found, exiting."
	exit;
fi

echo "Configuring ${TABLET}..."

# Install the appropriate xorg.conf
${LN} /scripts/${TABLET}/xorg.conf /etc/X11/xorg.conf

# Install the appropriate pen button scripts
/scripts/generic/pen-buttons.sh
${LN} /scripts/${TABLET}/pen-buttons /scripts/pen-buttons

echo "Configuration Complete"

